import { WelcomeLogo } from '@/components/Branding';
import StructuredData from '@/components/StructuredData';
import { BRANDING_NAME } from '@/const/branding';
import { ldModule } from '@/server/ld';
import { metadataModule } from '@/server/metadata';
import { translation } from '@/server/translation';
import { isMobileDevice } from '@/utils/responsive';
import {Button} from "antd";
import {createStyles} from "antd-style";
import RobotList from './components/RobotList';
export const generateMetadata = async () => {
  const { t } = await translation('metadata');
  return metadataModule.generate({
    description: t('robot.description', { appName: BRANDING_NAME }),
    title: t('robot.title', { appName: BRANDING_NAME }),
    url: '/robot',
  });
};

const Page = async () => {
  const mobile = isMobileDevice();
  const { t } = await translation('metadata');
  const ld = ldModule.generate({
    description: t('robot.description', { appName: BRANDING_NAME }),
    title: t('robot.title', { appName: BRANDING_NAME }),
    url: '/robot',
  });

  return (
    <>
      {/*<StructuredData ld={ld} />*/}
      {/*<WelcomeLogo mobile={mobile} />*/}
      <RobotList/>
    </>
  );
};

Page.displayName = 'Robot';

export default Page;
