package com.pjilisense.flxai.dto;

import com.fasterxml.jackson.databind.annotation.JsonDeserialize;
import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.time.OffsetDateTime;
import java.util.Date;
import java.util.Map;
import java.util.UUID;


/**
 * ${comments}
 *
 * @author liushujing liushujing@philisense.com
 * @since 1.0.0 2025-01-14
 */
@Data
@ApiModel(value = "${comments}")
public class FilesDTO implements Serializable {
    private static final long serialVersionUID = 1L;

	@ApiModelProperty(value = "$column.comments")
	private String id;

	@ApiModelProperty(value = "$column.comments")
	private String userId;

	@ApiModelProperty(value = "$column.comments")
	private String fileType;

	@ApiModelProperty(value = "$column.comments")
	private String name;

	@ApiModelProperty(value = "$column.comments")
	private Integer size;

	@ApiModelProperty(value = "$column.comments")
	private String url;

	@ApiModelProperty(value = "$column.comments")
	private Map<String,Object> metadata;

	@ApiModelProperty(value = "$column.comments")
	@JsonSerialize(using = com.pjilisense.flxai.wrapper.OffsetDateTimeSerializer.class)
	@JsonDeserialize(using = com.pjilisense.flxai.wrapper.OffsetDateTimeDeserializer.class)
	private OffsetDateTime  createdAt;

	@ApiModelProperty(value = "$column.comments")
	@JsonSerialize(using = com.pjilisense.flxai.wrapper.OffsetDateTimeSerializer.class)
	@JsonDeserialize(using = com.pjilisense.flxai.wrapper.OffsetDateTimeDeserializer.class)
	private OffsetDateTime  updatedAt;

	@ApiModelProperty(value = "$column.comments")
	private String fileHash;

	@ApiModelProperty(value = "$column.comments")
	private UUID chunkTaskId;

	@ApiModelProperty(value = "$column.comments")
	private UUID embeddingTaskId;

	@ApiModelProperty(value = "$column.comments")
	@JsonSerialize(using = com.pjilisense.flxai.wrapper.OffsetDateTimeSerializer.class)
	@JsonDeserialize(using = com.pjilisense.flxai.wrapper.OffsetDateTimeDeserializer.class)
	private OffsetDateTime accessedAt;

	@ApiModelProperty(value = "文件分类1文档2问答")
	private String fileCategory;

	@ApiModelProperty(value = "文件状态0删除1没有删除")
	private String fileStatus;


}